Package org.openoffice.da.comp.writer2latex

# Class BibliographyDialog

java.lang.Object
com.sun.star.lib.uno.helper.WeakBase
org.openoffice.da.comp.writer2latex.BibliographyDialog

All Implemented Interfaces:
  `com.sun.star.awt.XContainerWindowEventHandler`, `com.sun.star.lang.XServiceInfo`, `com.sun.star.lang.XTypeProvider`, `com.sun.star.uno.XInterface`, `com.sun.star.uno.XWeak`

public final class BibliographyDialog extends com.sun.star.lib.uno.helper.WeakBase implements com.sun.star.lang.XServiceInfo, com.sun.star.awt.XContainerWindowEventHandler
This class provides a uno component which implements the configuration of the bibliography for the Writer2LaTeX toolbar

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`__implementationName`
The component should also have an implementation name.
`static String`
`__serviceName`
The component will be registered under this name.
`static final String`
`REGISTRY_PATH`

### Fields inherited from class com.sun.star.lib.uno.helper.WeakBase

`_mapTypes`

### Fields inherited from interface com.sun.star.awt.XContainerWindowEventHandler

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceInfo

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XTypeProvider

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.uno.XWeak

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`BibliographyDialog(com.sun.star.uno.XComponentContext xContext)`
Create a new ConfigurationDialog

## Method Summary

Modifier and Type
Method
Description
`boolean`
`callHandlerMethod(com.sun.star.awt.XWindow xWindow, Object event, String sMethod)`
`String`
`getImplementationName()`
`String[]`
`getSupportedMethodNames()`
`String[]`
`getSupportedServiceNames()`
`boolean`
`supportsService(String sServiceName)`

### Methods inherited from class com.sun.star.lib.uno.helper.WeakBase

`finalize, getImplementationId, getTypes, queryAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### REGISTRY_PATH

public static final String REGISTRY_PATH

See Also:
  - Constant Field Values

### __serviceName

public static String __serviceName
The component will be registered under this name.

### __implementationName

public static String __implementationName
The component should also have an implementation name.

## Constructor Details

### BibliographyDialog

public BibliographyDialog(com.sun.star.uno.XComponentContext xContext)
Create a new ConfigurationDialog

## Method Details

### callHandlerMethod

public boolean callHandlerMethod(com.sun.star.awt.XWindow xWindow, Object event, String sMethod) throws com.sun.star.lang.WrappedTargetException

Specified by:
  `callHandlerMethod` in interface `com.sun.star.awt.XContainerWindowEventHandler`
Throws:
  `com.sun.star.lang.WrappedTargetException`

### getSupportedMethodNames

public String[] getSupportedMethodNames()

Specified by:
  `getSupportedMethodNames` in interface `com.sun.star.awt.XContainerWindowEventHandler`

### supportsService

public boolean supportsService(String sServiceName)

Specified by:
  `supportsService` in interface `com.sun.star.lang.XServiceInfo`

### getImplementationName

public String getImplementationName()

Specified by:
  `getImplementationName` in interface `com.sun.star.lang.XServiceInfo`

### getSupportedServiceNames

public String[] getSupportedServiceNames()

Specified by:
  `getSupportedServiceNames` in interface `com.sun.star.lang.XServiceInfo`